Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class ConfigClientsHandler

    java.lang.Object
      net.i2p.router.web.FormHandler
          net.i2p.router.web.ConfigClientsHandler

    public class ConfigClientsHandler

extends FormHandler

Saves changes to clients.config or webapps.config

Field Summary

Fields inherited from class net.i2p.router.web.FormHandler
`_action, _context, _log, _method, _passphrase`

Constructor Summary
`ConfigClientsHandler()`

Method Summary
`protected void` | `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)
`void` | `setSettings(Map settings)`

Methods inherited from class net.i2p.router.web.FormHandler
`_, _, _, addFormError, addFormNotice, getAllMessages, getErrors, getNewNonce, getNotices, setAction, setContextId, setNonce, setPassphrase, storeMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigClientsHandler

    public ConfigClientsHandler()

Method Detail

### processForm

    protected void processForm()

  Description copied from class: `FormHandler`
  Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

  Overrides:
    `processForm` in class `FormHandler`

### setSettings

    public void setSettings(Map settings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD